Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.5.0-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define name		ibatis1
%define version		1.3.1
%define release		3jpp


Name:		%{name}
Summary:	iBATIS SQL Maps and DAO Frameworks
Url:		http://www.ibatis.com/
Version:	%{version}
Release:	alt3_3jpp5
Epoch:		0
License:	iBATIS Open Source License 
Group:		Databases
BuildArch:	noarch
Source0:	ibatis_db-1-3-1.zip
Source1:	ibatis1-build.xml
Patch0:		ibatis1-jdbc30.patch

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: junit
BuildRequires: jakarta-commons-dbcp
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-commons-pool
BuildRequires: jdom
BuildRequires: jta
BuildRequires: oscache
Requires: jakarta-commons-dbcp
Requires: jakarta-commons-logging
Requires: jakarta-commons-pool
Requires: jdom
Requires: jta
Requires: oscache


%description
iBATIS SQL Maps provides a very simple and flexible means 
of moving data between your Java objects and a relational 
database. Use the full power of real SQL without a single 
line of JDBC code!
iBATIS DAO is an abstraction layer that hides the details 
of your persistence solution and provides a common API to 
the rest of your application.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation
BuildArch: noarch

%description javadoc
%{summary}.

%package demo
Summary:	Examples for %{name}
Group:		Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
chmod -R go=u-w *
cp %{SOURCE1} build.xml
mkdir src
pushd src
unzip -q ../debug/ibatis-db-src.zip
popd
find . -name "*.jar" -exec rm -f {} \;

%patch0 -b .sav

%build
export CLASSPATH=$(build-classpath \
commons-dbcp \
commons-logging \
commons-pool \
jdom \
jta \
oscache \
)
CLASSPATH=$CLASSPATH:target/classes
ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 -Dbuild.sysclasspath=only jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{name}-common-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-common-%{version}.jar
install -m 644 target/%{name}-dao-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-dao-%{version}.jar
install -m 644 target/%{name}-sqlmap-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-sqlmap-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
pushd examples
unzip examples.zip
rm examples.zip
rm -rf 3rdparty
cp -pr * $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
popd

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*.jar
%doc License.txt

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%{_datadir}/%{name}-%{version}

%changelog
* Wed May 19 2010 Igor Vlasenko <viy@altlinux.ru> 0:1.3.1-alt3_3jpp5
- selected java5 compiler explicitly

* Sat Oct 18 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.3.1-alt2_3jpp5
- fixed build with java 5

* Sat Nov 24 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.3.1-alt1_3jpp1.7
- converted from JPackage by jppimport script

